# `Query`

Root query

## GraphQL Schema definition `

- type Query {
- # Return the hero by episode.
- #
- # Arguments
- # episode: If omitted, returns the hero
- # of the whole saga. If provided, returns the hero of
- # that particular episode.
- hero(episode: Episode): Character
- # Return the Human by ID.
- #
- # Arguments
- # id: id of the human
- human(id: ID!): Human
- # Return the Droid by ID.
- #
- # Arguments
- # id: id of the droid
- droid(id: ID!): Droid
- }

`